@charset "utf-8";

.do, #LOGO, .scences, #butt ,#info,#glcanvas{
    transition: all 1s;
}

#glcanvas {
    width: 100%;
    /*pointer-events: auto;*/
    /*height:100%;*/
}

#LOGO > img {
    width: 100%;
}

#LOGO {
    position: fixed;
    left: 0;
    top: 0;
    width: 10em;
    cursor: pointer;
}
#loading {
    position: fixed;
    left: 0;
    right: 0;
    top:0;
    bottom:0;
    transform:translate(0,50%);
    color: #DDD;
    text-align:center;
}
html {
    /*background-color:#EEE;*/
}
html, body {
    height: 100%;
    width: 100%;
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 1em;
    user-select: none;
    overflow: hidden;
}


.mark > canvas {
    width: 5em;
    height: 5em;
}

.scences {
    position: fixed;
    top: 5em;
    /*bottom: 10em;*/
    left: 0;
    /* text-align: center;margin: 1em; */
    /* text-shadow: 1px 1px 0px rgba(0,0,0,1); */
    /* pointer-events: none; */
    width: 4.1em;
    padding-top: 1em;
    text-align: center;
    overflow: hidden;
    /*pointer-events: none;*/
}
.scence, .PanoramaRenden {
    height: 2.5em;
    width: 2.5em;
    border-radius: 50%;
    filter: drop-shadow(0 0 0.3em #FFF);
    background-color: white;
    /*pointer-events: auto;*/
    margin: 0.3em;
    border: 1px #FFF solid;
    box-sizing: border-box;
    cursor:pointer;
}

.do {
    background-color: yellow;
    display: inline-block;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    transform: translate(-30px,-20px);
    filter: drop-shadow(0 0 5px #FFF);
    display: none;
}

.mark {
    transition: opacity 1s;
    cursor: pointer;
    transform: translate(-50%,-50%);
    font-size: 0.7em;
    text-align: center;
    position: fixed;
    left: 50%;
    /*pointer-events: auto;*/
}

    .mark > span {
        white-space: nowrap;
        color: white;
        background-color: rgba(0,0,0,0.5);
        border-radius: 0.5em;
        padding: 0.5em;
    }

.name {
    color: white;
    position: fixed;
    right: 0;
    top: 0.7em;
    font-size: 1.2em;
    padding: 0.7em;
}

#info {
    color: white;
    position: fixed;
    right: 0;
    font-size: 0.7em;
    top: 0;
    padding: 1em;
}

    #info > span {
        padding: 0.5em;
    }

#butt {
    position: fixed;
    bottom: 0;
    right: 0;
    cursor: pointer;
    display: flex;
    margin: 0.5em;
    z-index: 999;
    flex-direction: column;
    color: #FFF;
    font-size: 0.8em;
    text-align: center;
}

    #butt > img {
        margin: 0.5em;
        width: 3em;
        height: 3em;
    }

    #butt > span {
        transform: translate(0, -100%);
    }

.tiaozheng {
    width: 80%;
    opacity: 0.1;
}

    .tiaozheng:hover {
        opacity: 1;
    }

#stageD {
    position: fixed;
    left: 0;
    top: 0;
    filter: url(#blur);
}

.history > span {
    border-radius: 2em;
    /* padding-right: 1em; */
    color: #FFF;
    /* min-width: 4em; */
    /* height: 4em; */
    display: inline-block;
    /* padding: 1em; */
    padding-left: 1em;
    padding-right: 1em;
    line-height: 4em;
    /* background-color: rgba(0,0,0,0.1); */
    white-space: nowrap;
    text-align: center;
}

#choose {
    color: #FFF;
    background-color: rgba(0,0,0,0.4);
}

.history {
    position: fixed;
    bottom: 0.5em;
    left: 0.5em;
    font-size: 0.7em;
}

#BlendMap {
    position: fixed;
    left: 0;
    bottom: 0;
}

.bitmapBlend {
    max-width: 0;
    max-height: 0;
    opacity: 0;
    z-index: -2;
}
